"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitForElement = exports.isInsideContainer = void 0;
const isInsideContainer = (node, className) => {
    while (node) {
        if (node.classList && node.classList.contains(className))
            return true;
        node = node.parentNode;
    }
    return false;
};
exports.isInsideContainer = isInsideContainer;
const waitForElement = (parent, id) => __awaiter(void 0, void 0, void 0, function* () {
    return new Promise((resolve, reject) => {
        const iid = setInterval(() => {
            try {
                const element = parent.getElementById(id);
                if (element) {
                    clearInterval(iid);
                    resolve(element);
                }
            }
            catch (error) {
                clearInterval(iid);
                reject(error);
            }
        }, 10);
    });
});
exports.waitForElement = waitForElement;
// cSpell:enable
//# sourceMappingURL=dom.js.map