"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const file_api_1 = require("./file-api");
const defaultPaginatedList = () => {
    return {
        items: [],
        hasMore: false,
        context: null,
    };
};
const defaultItem = () => {
    return {
        id: '',
    };
};
describe('file-api', () => {
    test.each([
        [
            Object.assign(Object.assign({}, defaultPaginatedList()), { items: [] }),
            false,
        ],
        [
            Object.assign(Object.assign({}, defaultPaginatedList()), { items: [
                    Object.assign(Object.assign({}, defaultItem()), { path: 'test' }),
                ] }),
            false,
        ],
        [
            Object.assign(Object.assign({}, defaultPaginatedList()), { items: [
                    Object.assign(Object.assign({}, defaultItem()), { path: 'test', jopItem: null }),
                ] }),
            true,
        ],
        [
            Object.assign(Object.assign({}, defaultPaginatedList()), { items: [
                    Object.assign(Object.assign({}, defaultItem()), { path: 'test', jopItem: { something: 'abcd' } }),
                ] }),
            true,
        ],
    ])('should tell if the sync target supports delta with items', (deltaResponse, expected) => __awaiter(void 0, void 0, void 0, function* () {
        const actual = (0, file_api_1.getSupportsDeltaWithItems)(deltaResponse);
        expect(actual).toBe(expected);
    }));
});
//# sourceMappingURL=file-api.test.js.map