"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.enexImporterExec = void 0;
const import_enex_1 = require("../../import-enex");
const InteropService_Importer_Base_1 = require("./InteropService_Importer_Base");
const Folder_1 = require("../../models/Folder");
const path_utils_1 = require("../../path-utils");
const shim_1 = require("../../shim");
const { filename } = require('../../path-utils');
const doImportEnex = (destFolder, sourcePath, options) => __awaiter(void 0, void 0, void 0, function* () {
    if (!destFolder) {
        const folderTitle = yield Folder_1.default.findUniqueItemTitle(filename(sourcePath));
        destFolder = yield Folder_1.default.save({ title: folderTitle });
    }
    yield (0, import_enex_1.default)(destFolder.id, sourcePath, options);
});
const enexImporterExec = (result, destinationFolder, sourcePath, fileExtensions, options) => __awaiter(void 0, void 0, void 0, function* () {
    sourcePath = (0, path_utils_1.rtrimSlashes)(sourcePath);
    if (yield shim_1.default.fsDriver().isDirectory(sourcePath)) {
        const stats = yield shim_1.default.fsDriver().readDirStats(sourcePath);
        for (const stat of stats) {
            const fullPath = `${sourcePath}/${stat.path}`;
            if (!fileExtensions.includes((0, path_utils_1.fileExtension)(fullPath).toLowerCase()))
                continue;
            try {
                yield doImportEnex(null, fullPath, options);
            }
            catch (error) {
                result.warnings.push(`When importing "${fullPath}": ${error.message}`);
            }
        }
    }
    else {
        yield doImportEnex(destinationFolder, sourcePath, options);
    }
    return result;
});
exports.enexImporterExec = enexImporterExec;
class InteropService_Importer_EnexToMd extends InteropService_Importer_Base_1.default {
    exec(result) {
        return __awaiter(this, void 0, void 0, function* () {
            return (0, exports.enexImporterExec)(result, this.options_.destinationFolder, this.sourcePath_, this.metadata().fileExtensions, this.options_);
        });
    }
}
exports.default = InteropService_Importer_EnexToMd;
//# sourceMappingURL=InteropService_Importer_EnexToMd.js.map