"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerRenderer = exports.getListRendererById = exports.getDefaultListRenderer = exports.getListRendererIds = void 0;
// import defaultLeftToRightItemRenderer from '../noteList/defaultLeftToRightListRenderer';
const defaultListRenderer_1 = require("../noteList/defaultListRenderer");
const renderers_ = [
    defaultListRenderer_1.default,
    // defaultLeftToRightItemRenderer,
];
const getListRendererIds = () => {
    return renderers_.map(r => r.id);
};
exports.getListRendererIds = getListRendererIds;
const getDefaultListRenderer = () => {
    return renderers_[0];
};
exports.getDefaultListRenderer = getDefaultListRenderer;
const getListRendererById = (id) => {
    return renderers_.find(r => r.id === id);
};
exports.getListRendererById = getListRendererById;
const registerRenderer = (store, renderer) => __awaiter(void 0, void 0, void 0, function* () {
    renderers_.push(renderer);
    store.dispatch({
        type: 'NOTE_LIST_RENDERER_ADD',
        value: renderer.id,
    });
});
exports.registerRenderer = registerRenderer;
//# sourceMappingURL=renderers.js.map