"use strict";
// PlatformImplementation provides access to platform specific dependencies,
// such as the clipboard, message dialog, etc. It allows having the same plugin
Object.defineProperty(exports, "__esModule", { value: true });
// API for all platforms, but with different implementations.
class BasePlatformImplementation {
    get versionInfo() {
        throw new Error('Not implemented');
    }
    get clipboard() {
        throw new Error('Not implemented');
    }
    get nativeImage() {
        throw new Error('Not implemented');
    }
    get window() {
        throw new Error('Not implemented');
    }
    registerComponent(_name, _component) {
        throw new Error('Not implemented');
    }
    unregisterComponent(_name) {
        throw new Error('Not implemented');
    }
    get joplin() {
        throw new Error('Not implemented');
    }
    get imaging() {
        throw new Error('Not implemented');
    }
}
exports.default = BasePlatformImplementation;
//# sourceMappingURL=BasePlatformImplementation.js.map